Function
createSuffixArray
Creates a suffix array from a given text.
createSuffixArray(suffixArray, text[, algo_tag])
Include Headers
seqan/index.h
Parameters

suffixArray | The resulting suffix array.
text | A given text.
algo_tag | A tag that identifies the algorithm which is used for creation.

Remarks
This function should not be called directly. Please use indexCreate or indexRequire. The size of suffixArray must be at least length(text) before calling this function.
Example Programs
Suffix Array
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47